.right-casestudy {
  display: none;
  transition-delay: .5s;
  transition-duration: .5s;
  transition-timing-function: cubic-bezier(.445, .05, .55, .95);
  transform: perspective(2500px) rotateY(0);
  backface-visibility: hidden;
  transition-property: transform;
}

.mouse-bg {
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    position: fixed;
    z-index: -1;
  }


#csmain-slider h2 {
  transform: translateY(100px);
  opacity: 0.3;
  transition: transform .75s cubic-bezier(0.16, 0.68, 0.43, 0.99) .9s;
}
.fp-viewing-1-0 #csmain-slider h2{
  transform: translateY(0);
  opacity: 1;
   transition-delay: 0.5s;
  /*transition: transform 0.75s cubic-bezier(0.16, 0.68, 0.43, 0.99),
        opacity .8s ease-in-out;
 */
}
#csmain-slider .cs-actionbox {
  transform: translateY(100px);
  opacity: 0.3;
  transition: transform .75s cubic-bezier(0.16, 0.68, 0.43, 0.99) .9s;
  }
.fp-viewing-1-0 #csmain-slider .cs-actionbox {
  transform: translateY(0);
  opacity: 1;
  /*transition: transform .8s cubic-bezier(0.16, 0.68, 0.43, 0.99),
        opacity .8s ease-in-out;*/
  transition-delay: 0.5s;
}
#csmain-slider .paratx {
  transform: translateY(100px);
  opacity: 0.3;
  transition: transform .75s cubic-bezier(0.16, 0.68, 0.43, 0.99) .9s;
  }
.fp-viewing-1-0 #csmain-slider .paratx {
  transform: translateY(0px);
  opacity: 1;
  /*transition: transform .8s cubic-bezier(0.16, 0.68, 0.43, 0.99),
        opacity .8s ease-in-out;  */
  transition-delay: 0.5s;
}
.cyitem img{
  opacity: 0.3;
  transition: opacity 1.75s cubic-bezier(0.215, 0.61, 0.355, 1) 2s;
  transition-delay: 0.5s;
  }
.fp-viewing-1-0 .cyitem img {
  opacity: 1;
  transition: opacity .8s ease-in-out;  
  transition-delay: 0.7s;
}
 .services-texthead h3, .serv-boxer{
  transform: translateY(100px);
  opacity: 0.2;
  transition: transform 1.75s cubic-bezier(0.215, 0.61, 0.355, 1) 2s;
}
#sercarousel.active .services-texthead h3, #sercarousel.active .serv-boxer{
  transform: translateY(0px);
  opacity: 1;
  transition: transform .8s cubic-bezier(0.16, 0.68, 0.43, 0.99),
        opacity .8s ease-in-out;  
  transition-delay: 0.6s;
}
.home-banner-cont, .cover-heading{
  transform: translateY(100px);
/*   opacity: 0.1; */
  transition: opacity 1.75s cubic-bezier(0.215, 0.61, 0.355, 1) 2s;
}
.fp-viewing-0 .home-banner-cont,.fp-viewing-0 .cover-heading{
  transform: translateY(0px);
  opacity: 1;
  transition: transform .8s cubic-bezier(0.16, 0.68, 0.43, 0.99),
        opacity .8s ease-in-out; 
  transition-delay: 0.6s;
}
.fp-viewing-0 .cover-heading{
/*   transition-delay: 0.9s; */
}
#sercarousel.active .serv-boxer{
  transition-delay: 0.9s;
}
.home-blogall, .blog-illus{
transform: translateY(100px);
  opacity: 0.2;
  transition: transform 1.75s cubic-bezier(0.215, 0.61, 0.355, 1) 1s;
}
#section-blog.active .home-blogall, #section-blog.active .blog-illus{
  transform: translateY(0px);
  opacity: 1;
  transition: transform .8s cubic-bezier(0.16, 0.68, 0.43, 0.99),
        opacity .8s ease-in-out;  
  transition-delay: 0.5s;
}
#section-blog.active .home-blogall{
  transition-delay: 0.7s;
}


.carousel-fade .carousel-inner .item {
  -webkit-transition-property: opacity;
  transition-property: opacity;
}
.carousel-fade .carousel-inner .item,
.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
  opacity: 0;
}
.carousel-fade .carousel-inner .active,
.carousel-fade .carousel-inner .next.left,
.carousel-fade .carousel-inner .prev.right {
  opacity: 1;
}
.carousel-fade .carousel-inner .next,
.carousel-fade .carousel-inner .prev,
.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
  left: 0;
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0);
}
.carousel-fade .carousel-control {
  z-index: 2;
}